#!/bin/zsh

n="$1"
res="$2"

sed -e "s/THEFILE/${n%.pdf_t}/" < figurerun-in.tex > figurerun.tex
echo running pdflatex...
pdflatex figurerun
cp figurerun.pdf ${n%.pdf_t}-tex4ht.pdf
#echo running pdftops...
#pdftops -eps ${n%.pdf_t}-tex4ht.pdf ${n%.pdf_t}-tex4ht.eps
echo running pdf2svg...
pdf2svg ${n%.pdf_t}-tex4ht.pdf ${n%.pdf_t}-tex4ht.svg
echo running pdftopng...
./pdftopng.sh ${n%.pdf_t}-tex4ht.pdf ${n%.pdf_t}-tex4ht.png $res
echo removing pdf...
rm ${n%.pdf_t}-tex4ht.pdf
echo running optipng...
optipng ${n%.pdf_t}-tex4ht.png
echo running advdef...
advdef -z -4 ${n%.pdf_t}-tex4ht.png
echo running pngout...
for k in 0 5 ; do pngout-static -f$k ${n%.pdf_t}-tex4ht.png ; done
